package com.ruoyi.bar.mapper;

import com.ruoyi.bar.domain.WyFavoriteBeer;
import com.ruoyi.bar.domain.WyFavoriteBrewery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WyFavoriteMapper {

    public List<WyFavoriteBeer> selectWyFavoriteBeerList(WyFavoriteBeer wyFavoriteBeer);

    public WyFavoriteBeer selectWyFavoriteBeerByBeerIdAndUserId(@Param("beerId") Long beerId,@Param("userId") Long userId);
    public int insertWyFavoriteBeer(WyFavoriteBeer wyFavoriteBeer);

    public int deleteWyFavoriteBeerByBeerIdAndUserId(@Param("beerId") Long beerId,@Param("userId") Long userId);

    public List<WyFavoriteBrewery> selectWyFavoriteBreweryList(WyFavoriteBrewery wyFavoriteBrewery);

    public WyFavoriteBrewery selectWyFavoriteBreweryByBreweryIdAndUserId(@Param("breweryId") Long breweryId,@Param("userId") Long userId);

    public int insertWyFavoriteBrewery(WyFavoriteBrewery wyFavoriteBrewery);

    public int deleteWyFavoriteBreweryByBreweryIdAndUserId(@Param("breweryId") Long breweryId,@Param("userId") Long userId);
}
